Differences

This shows you the differences between two versions of the page.

Link to this comparison view

documentation:2.0:development:environment [2017/01/30 17:10] (current)
Line 1: Line 1:
 +====== Development environment ======
 +
 +If you want to develop LSC, you need some extra tools, as well as the basic [[..:​requirements|Requirements]]:​
 +
 +    * Java Virtual Machine (JDK) >= 1.6 (tested on Sun 1.5 and 1.7 VM)
 +    * [[http://​maven.apache.org/​download.html|Maven 2.2+]] (tested on Maven 2.2 and 3.0)
 +
 +===== Maven =====
 +
 +    * Add the ''​mvn''​ command line wrapper to Maven in your path (through ~/.bashrc or something equivalent)
 +
 +
 +===== IDE integration =====
 +
 +You can use Eclipse, NetBeans, etc to edit the Java code. Integrating LSC and it's Maven dependencies is described [[ideintegration|here]].